[arch-commits] Commit in gift-fasttrack/repos (3 files)

Eric Bélanger eric at archlinux.org
Tue Apr 7 02:20:57 EDT 2009


    Date: Tuesday, April 7, 2009 @ 02:20:57
  Author: eric
Revision: 34161

Fixed svn conflict

Modified:
  gift-fasttrack/repos/extra-x86_64/	(properties)
  gift-fasttrack/repos/extra-x86_64/PKGBUILD
  gift-fasttrack/repos/extra-x86_64/fasttrack.install

-------------------+
 PKGBUILD          |   13 +++++++------
 fasttrack.install |   18 ------------------
 2 files changed, 7 insertions(+), 24 deletions(-)


Property changes on: gift-fasttrack/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gift-fasttrack/trunk:1
   + /gift-fasttrack/trunk:1-34160

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-07 06:19:47 UTC (rev 34160)
+++ extra-x86_64/PKGBUILD	2009-04-07 06:20:57 UTC (rev 34161)
@@ -4,18 +4,19 @@
 
 pkgname=gift-fasttrack
 pkgver=0.8.9
-pkgrel=3
+pkgrel=4
 pkgdesc="A FastTrack plugin for giFT."
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://developer.berlios.de/projects/gift-fasttrack"
+license=('GPL')
 depends=('gift')
+install=fasttrack.install
 source=(http://download.berlios.de/$pkgname/giFT-FastTrack-$pkgver.tar.gz)
 md5sums=('68521847537985bcc5e9b8677343374c')
-install=fasttrack.install
 
 build() {
-  cd $startdir/src/giFT-FastTrack-$pkgver
-  ./configure --prefix=/usr
+  cd $srcdir/giFT-FastTrack-$pkgver
+  ./configure --prefix=/usr || return 1
   make || return 1
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR=$pkgdir install || return 1
 }

Modified: extra-x86_64/fasttrack.install
===================================================================
--- extra-x86_64/fasttrack.install	2009-04-07 06:19:47 UTC (rev 34160)
+++ extra-x86_64/fasttrack.install	2009-04-07 06:20:57 UTC (rev 34161)
@@ -1,24 +1,6 @@
-# arg 1:  the new package version
 post_install() {
-  /bin/true
   echo "To test it run: giftd -p FastTrack"
   echo "Or you can add the path to your gift.conf like so:"
   echo ""
   echo "plugin = OpenFT:FastTrack"
 }
-
-# arg 1:  the new package version
-# arg 2:  the old package version
-post_upgrade() {
-  /bin/true
-}
-
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
-op=$1
-shift
-
-$op $*



More information about the arch-commits mailing list